classification
Title: SSL Module build fails with OpenSSL 1.1.0 for Python 2.7
Type: compile error Stage: resolved
Components: Build, SSL Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: christian.heimes Nosy List: Alexandru Ardelean, christian.heimes, miss-islington
Priority: normal Keywords: patch

Created on 2018-11-16 13:10 by Alexandru Ardelean, last changed 2019-09-12 09:02 by christian.heimes. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10570 merged Alexandru Ardelean, 2018-11-16 13:27
Messages (2)
msg329995 - (view) Author: Alexandru Ardelean (Alexandru Ardelean) * Date: 2018-11-16 13:10
The Modules/_ssl.c build fails.

Error is:
```
building '_ssl' extension
arm-openwrt-linux-muslgnueabi-gcc -fPIC -fno-strict-aliasing -Os -pipe -mcpu=xscale -fno-caller-saves -fno-plt -fhonour-copts -Wno-error=unused-but-set-variable -Wno-error=unused-result -mfloat-abi=soft -iremap<openwrt>/build_dir/target-arm_xscale_musl_eabi/Python-2.7.15:Python-2.7.15 -Wformat -Werror=format-security -fstack-protector -D_FORTIFY_SOURCE=1 -Wl,-z,now -Wl,-z,relro -DNDEBUG -fno-inline -DNDEBUG -Os -pipe -mcpu=xscale -fno-caller-saves -fno-plt -fhonour-copts -Wno-error=unused-but-set-variable -Wno-error=unused-result -mfloat-abi=soft -iremap<openwrt>/build_dir/target-arm_xscale_musl_eabi/Python-2.7.15:Python-2.7.15 -Wformat -Werror=format-security -fstack-protector -D_FORTIFY_SOURCE=1 -Wl,-z,now -Wl,-z,relro -I. -IInclude -I./Include -I<openwrt>/staging_dir/target-arm_xscale_musl_eabi/include -I<openwrt>/staging_dir/toolchain-arm_xscale_gcc-7.3.0_musl_eabi/usr/include -I<openwrt>/staging_dir/toolchain-arm_xscale_gcc-7.3.0_musl_eabi/include/fortify -I<openwrt>/staging_dir/toolchain-arm_xscale_gcc-7.3.0_musl_eabi/include -I<openwrt>/staging_dir/target-arm_xscale_musl_eabi/usr/include -I<openwrt>/staging_dir/hostpkg/bin/Include -I<openwrt>/staging_dir/hostpkg/bin -c <openwrt>/build_dir/target-arm_xscale_musl_eabi/Python-2.7.15/Modules/_ssl.c -o build/temp.linux2-2.7/<openwrt>/build_dir/target-arm_xscale_musl_eabi/Python-2.7.15/Modules/_ssl.o
cc1: note: someone does not honour COPTS correctly, passed 2 times
<openwrt>/build_dir/target-arm_xscale_musl_eabi/Python-2.7.15/Modules/_ssl.c:2117:44: error: 'PySSL_selected_npn_protocol' undeclared here (not in a function); did you mean 'PySSL_selected_alpn_protocol'?
     {"selected_npn_protocol", (PyCFunction)PySSL_selected_npn_protocol, METH_NOARGS},
                                            ^~~~~~~~~~~~~~~~~~~~~~~~~~~
                                            PySSL_selected_alpn_protocol
```

This is on OpenWrt.
msg351989 - (view) Author: miss-islington (miss-islington) Date: 2019-09-11 17:23
New changeset 0d63669e52dd7e95708ec14e9e3e07d7dc9cd913 by Miss Islington (bot) (Alexandru Ardelean) in branch '2.7':
[2.7] bpo-35264: Modules/_ssl.c: fix build with OpenSSL 1.1.0 (GH-10570)
https://github.com/python/cpython/commit/0d63669e52dd7e95708ec14e9e3e07d7dc9cd913
History
Date User Action Args
2019-09-12 09:02:52christian.heimessetstatus: open -> closed
type: compile error
resolution: fixed
stage: patch review -> resolved
2019-09-11 17:23:31miss-islingtonsetnosy: + miss-islington
messages: + msg351989
2018-11-16 13:27:34Alexandru Ardeleansetkeywords: + patch
stage: patch review
pull_requests: + pull_request9818
2018-11-16 13:10:44Alexandru Ardeleancreate